# Flux Pro

## flux-pro-v1.1-ultra-text-to-image

> FLUX1.1 \[pro] ultra is the newest version of FLUX1.1 \[pro], maintaining professional-grade image quality while delivering up to 2K resolution with improved photo realism.

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"flux-pro"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/generations":{"post":{"summary":"flux-pro-v1.1-ultra-text-to-image","deprecated":false,"description":"FLUX1.1 [pro] ultra is the newest version of FLUX1.1 [pro], maintaining professional-grade image quality while delivering up to 2K resolution with improved photo realism.","tags":["flux-pro"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"size":{"type":"string","default":"16:9","enum":["21:9, 16:9, 4:3, 3:2, 1:1, 2:3, 3:4, 9:16, 9:21"],"description":"The size of the generated image. Default value: `16:9`\n\nPossible enum values: `21:9`, `16:9`, `4:3`, `3:2`, `1:1`, `2:3`, `3:4`, `9:16`, `9:21`"},"image_url":{"type":"string","description":"The image URL to generate an image from."},"image_prompt_strength":{"type":"number","description":"The strength of the image prompt, between 0 and 1. Default value: `0.1`","default":0.1},"enhance_prompt":{"type":"boolean","description":"Whether to enhance the prompt for better results.\n\n"},"raw":{"type":"boolean","description":"Generate less processed, more natural-looking images.\n\n\n"},"seed":{"type":"integer","description":"The same seed and the same prompt given to the same version of the model will output the same image every time."},"enable_safety_checker":{"type":"boolean","description":"If set to true, the safety checker will be enabled. Default value: `false`","default":false},"safety_tolerance":{"type":"string","description":"The safety tolerance level for the generated image. 1 being the most strict and 5 being the most permissive. Default value: `\"2\"`\n\nPossible enum values: `1`, `2`, `3`, `4`, `5`, `6`","default":"2","enum":["1","2","3","4","5,"," 6"]},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","default":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
```
